(defun no-abbrevs ()
  "Gaengige Abkuerzungen wie z.B. etc. aufloesen"
  (interactive)
  (let ((from "")
	(to "")
	(liste '(
		 ("z.B." "zum Beispiel")
		 ("z. B." "zum Beispiel")
		 ("etc." "et cetera")
		 ("bzw." "beziehungsweise")
		 ("sog." "sogenannte")
		 ("inkl." "inklusive")
		 ("usw." "und so weiter")
		 ("d.h." "das heis^t")
		 ("vgl." "vergleiche")
		 ("u.a." "unter anderem")
		 )))
    (while (car liste)
	(goto-char (point-min))
	(setq from (eval (car (car liste))))
	(setq to (eval (car (cdr (car liste)))))
	(while (search-forward from (point-max) t)
	  (replace-match to))
	(setq liste (cdr liste)))
    (message "%s" "Abkuerzungen aufgeloest!")))

(defun no-abbrevs2 ()
  "Gaengige Abkuerzungen wie z.B. etc. aufloesen"
  (interactive)
  (let ((from "")
	(to "")
	(liste '(
		 ("z.B." "zum Beispiel")
		 ("z. B." "zum Beispiel")
		 ("etc." "et cetera")
		 ("bzw." "beziehungsweise")
		 ("sog." "sogenannte")
		 ("inkl." "inklusive")
		 ("usw." "und so weiter")
		 ("d.h." "das heis^t")
		 ("vgl." "vergleiche")
		 ("u.a." "unter anderem")
		 )))
    (no-abbrevs2-tausch-aus liste)
    (message "%s" "Abkuerzungen aufgeloest!")))

(defun no-abbrevs2-tausch-aus (liste)
  (if (not (null liste))
      (progn
	(goto-char (point-min))
	(setq from (eval (car (car liste))))
	(setq to (eval (car (cdr (car liste)))))
	(while (search-forward from (point-max) t)
	  (replace-match to))
	(no-abbrevs2-tausch-aus (cdr liste)))))

